Bug 116822 - [PATCH] games/noegnud-nethack: Fix build with gcc 4.2
Summary: [PATCH] games/noegnud-nethack: Fix build with gcc 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-02 14:10 UTC by Martin Wilke
Modified: 2007-10-10 00:10 UTC (History)
1 user (show)

See Also:


Attachments
noegnud-nethack-0.8.3_2.patch (1.36 KB, patch)
2007-10-02 14:10 UTC, Martin Wilke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Wilke freebsd_committer 2007-10-02 14:10:00 UTC
- Fix build with gcc 4.2

Tindy tested:
i386
http://head.miwibox.org/tb/index.php?action=describe_port&id=2157
amd64
http://amd64.miwibox.org/tb/index.php?action=describe_port&id=1598

Added file(s):
- files/patch-noegnud_noegnud_gui.c

Port maintainer (llwang@infor.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-10-02 14:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Submitter has GNATS access
Comment 2 Edwin Groothuis freebsd_committer 2007-10-02 14:10:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 Li-Lun Wang 2007-10-09 21:54:34 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The patch does fix build.  Please go ahead and commit it.
Thanks.

- -- llwang
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4 (FreeBSD)
Comment: http://firegpg.tuxfamily.org

iD8DBQFHC+p2CQM7t5B2mhARAhbHAJ9VNA3ECfDII1foBs4WG7X2Dabw0ACfbrXF
YNvHJ8u3KG8WDiYWbgnb814=
=+Ozj
-----END PGP SIGNATURE-----
Comment 4 Martin Wilke freebsd_committer 2007-10-10 00:10:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!